> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Retrieve an account summary

GET https://rest.test.zuora.com/v1/accounts/{account-key}/summary

Retrieves detailed information about the specified customer account.

The response includes the account information and a summary of the account’s subscriptions, invoices, payments, and usages.

### Notes
Returns only the six most recent subscriptions based on the subscription updatedDate. Within those subscriptions, there may be many rate plans and many rate plan charges. These items are subject to the maximum limit on the array size. 


Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/customer-accounts/accounts/get-account-summary

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Path parameters

- `account-key` (string, required) — Account number or account ID.

### Query parameters

- `excludeUsage` (boolean, optional) — Indicate whether to exclude usage information in the response. The default value is `false`.

### Headers

- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

## Response

### 200

OK

- `basicInfo` (GETAccountSummaryTypeBasicInfo, optional) — Container for basic information about the account.
- `billToContact` (GETAccountSummaryTypeBillToContact, optional) — Container for bill-to contact information. **Notes**: * If the bill-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the bill-to contact on the subscription, see Overview of Flexible Billing Attributes. * If the bill-to contact is not specified on the subscription, the bill-to contact on the invoice owner account will be populated in this field.
- `invoices` (list of GETAccountSummaryInvoiceType, optional) — Container for invoices. Only returns the last 6 invoices.
- `payments` (list of GETAccountSummaryPaymentType, optional) — Container for payments. Only returns the last 6 payments.
- `shipToContact` (GetAccountSummaryTypeShipToContact, optional) — Container for ship-to contact information. **Notes**: * If the ship-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the ship-to contact on the subscription, see Overview of Flexible Billing Attributes. * If the ship-to contact is not specified on the subscription, the ship-to contact on the subscription owner account will be populated in this field.
- `soldToContact` (GETAccountSummaryTypeSoldToContact, optional) — Container for sold-to contact information. **Notes**: * If the sold-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the sold-to contact on the subscription, see Overview of Flexible Billing Attributes. * If the sold-to contact is not specified on the subscription, the sold-to contact on the subscription owner account will be populated in this field.
- `subscriptions` (list of GETAccountSummarySubscriptionType, optional) — Container for subscriptions.
- `success` (boolean, optional) — Returns `true` if the request was processed successfully.
- `taxInfo` (GetAccountSummaryTypeTaxInfo, optional) — Container for tax exempt information, used to establish the tax exempt status of a customer account.
- `usage` (list of GETAccountSummaryUsageType, optional) — Container for usage data. Only returns the last 6 months of usage. **Note:** If the Active Rating feature is enabled, no usage data is returned in the response body field.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### GETAccountSummaryTypeBasicInfo

Container for basic information about the account.

- `accountNumber` (string, optional) — Account number.
- `additionalEmailAddresses` (list of string, optional) — A list of additional email addresses to receive email notifications.
- `autoPay` (boolean, optional) — Whether future payments are automatically collected when they are due during a payment run.
- `balance` (string, optional) — Current outstanding balance.
- `batch` (string, optional) — The alias name given to a batch. A string of 50 characters or less.
- `billCycleDay` (string, optional) — Billing cycle day (BCD), the day of the month when a bill run generates invoices for the account.
- `bcdSettingOption` (enum, optional) — Bill cycle day setting option. Indicates whether the account’s bill cycle day is managed manually or automatically. - `ManualSet`: The bill cycle day is explicitly set to a specific day of the month (1–31). - `AutoSet`: The bill cycle day is automatically determined by Zuora. The bill cycle day is assigned when the first subscription is created for the account. This field is system-derived and read-only. Its value is automatically determined based on the `billCycleDay` field.
  - Allowed values: `ManualSet`, `AutoSet`
- `currency` (string, optional) — A currency as defined in Billing Settings in the Zuora UI.
- `defaultPaymentMethod` (GetAccountSummaryTypeBasicInfoDefaultPaymentMethod, optional) — Information of the default payment method for the account.
- `id` (string, optional) — Account ID.
- `invoiceDeliveryPrefsEmail` (boolean, optional) — Whether the customer wants to receive invoices through email.
- `invoiceDeliveryPrefsPrint` (boolean, optional) — Whether the customer wants to receive printed invoices, such as through postal mail.
- `lastInvoiceDate` (date, optional) — Date of the most recent invoice for the account; null if no invoice has ever been generated.
- `lastMetricsUpdate` (string, optional) — The date and time when account metrics are last updated, if the account is a partner account. **Note**: * This field is available only if you have the Reseller Account feature enabled. * If you have the Reseller Account feature enabled, and set the `partnerAccount` field to `false` for an account, the value of the `lastMetricsUpdate` field is automatically set to `null` in the response. * If you ever set the `partnerAccount` field to `true` for an account, the value of `lastMetricsUpdate` field is the time when the account metrics are last updated.
- `lastPaymentAmount` (string, optional) — Amount of the most recent payment collected for the account; null if no payment has ever been collected.
- `lastPaymentDate` (date, optional) — Date of the most recent payment collected for the account. Null if no payment has ever been collected.
- `name` (string, optional) — Account name.
- `organizationLabel` (string, optional) — The organization that this object belongs to. Note: This field is available only when the Multi-Org feature is enabled.
- `partnerAccount` (boolean, optional) — Whether the customer account is a partner, distributor, or reseller. **Note**: This field is available only if you have the Reseller Account feature enabled.
- `paymentMethodCascadingConsent` (boolean, optional) — `true` indicates the consent from your customer to use the Cascading Payment Method feature was collected. `false` indicates the consent was not collected and the Cascading Payment Method feature is not enabled.
- `purchaseOrderNumber` (string, optional) — The purchase order number provided by your customer for services, products, or both purchased.
- `status` (string, optional) — Account status; possible values are: `Active`, `Draft`, `Canceled`.
- `tags` (string, optional)
- `Class__NS` (string, optional) — Value of the Class field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `CustomerType__NS` (enum, optional) — Value of the Customer Type field for the corresponding customer account in NetSuite. The Customer Type field is used when the customer account is created in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
  - Allowed values: `Company`, `Individual`
- `Department__NS` (string, optional) — Value of the Department field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `IntegrationId__NS` (string, optional) — ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `IntegrationStatus__NS` (string, optional) — Status of the account's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `Location__NS` (string, optional) — Value of the Location field for the corresponding customer account in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `Subsidiary__NS` (string, optional) — Value of the Subsidiary field for the corresponding customer account in NetSuite. The Subsidiary field is required if you use NetSuite OneWorld. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `SyncDate__NS` (string, optional) — Date when the account was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `SynctoNetSuite__NS` (enum, optional) — Specifies whether the account should be synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
  - Allowed values: `Yes`, `No`

### GETAccountSummaryTypeBillToContact

Container for bill-to contact information. **Notes**: * If the bill-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the bill-to contact on the subscription, see Overview of Flexible Billing Attributes. * If the bill-to contact is not specified on the subscription, the bill-to contact on the invoice owner account will be populated in this field.

- `address1` (string, optional) — First address line, 255 characters or less.
- `address2` (string, optional) — Second address line, 255 characters or less.
- `asBillTo` (boolean, optional) — Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `asShipTo` (boolean, optional) — Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `asSoldTo` (boolean, optional) — Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `city` (string, optional) — City, 40 characters or less.
- `country` (string, optional, nullable) — Full country name. This field does not contain the ISO-standard abbreviation of the country name.
- `county` (string, optional, nullable) — County; 32 characters or less. Zuora Tax uses this information to calculate county taxation.
- `fax` (string, optional) — Fax phone number, 40 characters or less.
- `firstName` (string, optional) — First name, 100 characters or less.
- `id` (string, optional) — Contact ID.
- `isSpecifiedInSubscription` (boolean, optional, default: false) — If `true`, this contact is specified at the subscription level and is not inherited from the customer account.
- `lastName` (string, optional) — Last name, 100 characters or less.
- `state` (string, optional) — Full state name. This field does not contain the ISO-standard abbreviation of the state name.
- `taxRegion` (string, optional) — A region string, defined in your Zuora tax rules.
- `workEmail` (string, optional) — Work email address, 80 characters or less.
- `workPhone` (string, optional) — Work phone number, 40 characters or less.
- `zipCode` (string, optional) — Zip code, 20 characters or less.

### GETAccountSummaryInvoiceType

- `amount` (double, optional) — Invoice amount before adjustments, discounts, and similar items.
- `balance` (string, optional) — Balance due on the invoice.
- `dueDate` (date, optional) — Due date as `yyyy-mm-dd`.
- `id` (string, optional) — Invoice ID.
- `invoiceDate` (date, optional) — Invoice date as `yyyy-mm-dd`.
- `invoiceNumber` (string, optional) — Invoice number.
- `status` (string, optional) — Invoice status - not the payment status of the invoice, just the status of the invoice itself. Possible values are: `Posted`, `Draft`, `Canceled`, `Error`.

### GETAccountSummaryPaymentType

- `effectiveDate` (date, optional) — Effective date as `yyyy-mm-dd`.
- `id` (string, optional) — Payment ID.
- `paidInvoices` (list of GETAccountSummaryPaymentInvoiceType, optional) — Container for paid invoices for this subscription.
- `paymentNumber` (string, optional) — Payment number.
- `paymentType` (string, optional) — Payment type; possible values are: `External`, `Electronic`.
- `status` (string, optional) — Payment status. Possible values are: `Draft`, `Processing`, `Processed`, `Error`, `Voided`, `Canceled`, `Posted`.

### GetAccountSummaryTypeShipToContact

Container for ship-to contact information. **Notes**: * If the ship-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the ship-to contact on the subscription, see Overview of Flexible Billing Attributes. * If the ship-to contact is not specified on the subscription, the ship-to contact on the subscription owner account will be populated in this field.

- `address1` (string, optional) — First address line, 255 characters or less.
- `address2` (string, optional) — Second address line, 255 characters or less.
- `asBillTo` (boolean, optional) — Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `asShipTo` (boolean, optional) — Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `asSoldTo` (boolean, optional) — Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `city` (string, optional) — City, 40 characters or less.
- `country` (string, optional, nullable) — Full country name. This field does not contain the ISO-standard abbreviation of the country name.
- `county` (string, optional, nullable) — County; 32 characters or less. Zuora Tax uses this information to calculate county taxation.
- `fax` (string, optional) — Fax phone number, 40 characters or less.
- `firstName` (string, optional) — First name, 100 characters or less.
- `id` (string, optional) — Contact ID.
- `isSpecifiedInSubscription` (boolean, optional, default: false) — If `true`, this contact is specified at the subscription level and is not inherited from the customer account.
- `lastName` (string, optional) — Last name, 100 characters or less.
- `state` (string, optional) — Full state name. This field does not contain the ISO-standard abbreviation of the state name.
- `taxRegion` (string, optional) — A region string, defined in your Zuora tax rules.
- `workEmail` (string, optional) — Work email address, 80 characters or less.
- `workPhone` (string, optional) — Work phone number, 40 characters or less.
- `zipCode` (string, optional) — Zip code, 20 characters or less.

### GETAccountSummaryTypeSoldToContact

Container for sold-to contact information. **Notes**: * If the sold-to contact is specified on the subscription, its value is populated in this field. For more information about how to specify the sold-to contact on the subscription, see Overview of Flexible Billing Attributes. * If the sold-to contact is not specified on the subscription, the sold-to contact on the subscription owner account will be populated in this field.

- `address1` (string, optional) — First address line, 255 characters or less.
- `address2` (string, optional) — Second address line, 255 characters or less.
- `asBillTo` (boolean, optional) — Indicates whether the contact can be specified as a bill-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `asShipTo` (boolean, optional) — Indicates whether the contact can be specified as a ship-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `asSoldTo` (boolean, optional) — Indicates whether the contact can be specified as a sold-to contact. This field is available only if you have turned on the Ship To Contact feature. You can turn on the feature through the self-service interface for Feature Management.
- `city` (string, optional) — City, 40 characters or less.
- `country` (string, optional, nullable) — Full country name. This field does not contain the ISO-standard abbreviation of the country name.
- `county` (string, optional, nullable) — County; 32 characters or less. Zuora Tax uses this information to calculate county taxation.
- `fax` (string, optional) — Fax phone number, 40 characters or less.
- `firstName` (string, optional) — First name, 100 characters or less.
- `id` (string, optional) — Contact ID.
- `isSpecifiedInSubscription` (boolean, optional, default: false) — If `true`, this contact is specified at the subscription level and is not inherited from the customer account.
- `lastName` (string, optional) — Last name, 100 characters or less.
- `state` (string, optional) — Full state name. This field does not contain the ISO-standard abbreviation of the state name.
- `taxRegion` (string, optional) — A region string, defined in your Zuora tax rules.
- `workEmail` (string, optional) — Work email address, 80 characters or less.
- `workPhone` (string, optional) — Work phone number, 40 characters or less.
- `zipCode` (string, optional) — Zip code, 20 characters or less.

### GETAccountSummarySubscriptionType

Container for custom fields of a Subscription object.

- `autoRenew` (boolean, optional) — If `true`, auto-renew is enabled. If `false`, auto-renew is disabled.
- `id` (string, optional) — Subscription ID.
- `initialTerm` (string, optional) — Duration of the initial subscription term in whole months.
- `ratePlans` (list of GETAccountSummarySubscriptionRatePlanType, optional) — Container for rate plans for this subscription.
- `renewalTerm` (string, optional) — Duration of the renewal term in whole months.
- `status` (string, optional) — Subscription status; possible values are: `Draft`, `PendingActivation`, `PendingAcceptance`, `Active`, `Cancelled`, `Expired`.
- `subscriptionNumber` (string, optional) — Subscription Number.
- `subscriptionStartDate` (date, optional) — Subscription start date.
- `termEndDate` (date, optional) — End date of the subscription term. If the subscription is evergreen, this is either null or equal to the cancellation date, as appropriate.
- `termStartDate` (date, optional) — Start date of the subscription term. If this is a renewal subscription, this date is different than the subscription start date.
- `termType` (string, optional) — Possible values are: `TERMED`, `EVERGREEN`.
- `CpqBundleJsonId__QT` (string, optional) — The Bundle product structures from Zuora Quotes if you utilize Bundling in Salesforce. Do not change the value in this field.
- `OpportunityCloseDate__QT` (date, optional) — The closing date of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes.
- `OpportunityName__QT` (string, optional) — The unique identifier of the Opportunity. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes.
- `QuoteBusinessType__QT` (string, optional) — The specific identifier for the type of business transaction the Quote represents such as New, Upsell, Downsell, Renewal or Churn. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes.
- `QuoteNumber__QT` (string, optional) — The unique identifier of the Quote. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes.
- `QuoteType__QT` (string, optional) — The Quote type that represents the subscription lifecycle stage such as New, Amendment, Renew or Cancel. This field is used in Zuora data sources to report on Subscription metrics. If the subscription originated from Zuora Quotes, the value is populated with the value from Zuora Quotes.
- `IntegrationId__NS` (string, optional) — ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `IntegrationStatus__NS` (string, optional) — Status of the subscription's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `Project__NS` (string, optional) — The NetSuite project that the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `SalesOrder__NS` (string, optional) — The NetSuite sales order than the subscription was created from. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).
- `SyncDate__NS` (string, optional) — Date when the subscription was synchronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

### GetAccountSummaryTypeTaxInfo

Container for tax exempt information, used to establish the tax exempt status of a customer account.

- `VATId` (string, optional) — EU Value Added Tax ID.
- `companyCode` (string, optional) — Unique code that identifies a company account in Avalara.
- `exemptCertificateId` (string, optional) — ID of the customer tax exemption certificate.
- `exemptCertificateType` (string, optional) — Type of tax exemption certificate that the customer holds.
- `exemptDescription` (string, optional) — Description of the tax exemption certificate that the customer holds.
- `exemptEffectiveDate` (date, optional) — Date when the customer tax exemption starts.
- `exemptEntityUseCode` (string, optional) — A unique entity use code to apply exemptions in Avalara AvaTax. This account-level field is required only when you choose Avalara as your tax engine. See [Exempt Transactions](https://developer.avalara.com/avatax/handling-tax-exempt-customers/)for more details.
- `exemptExpirationDate` (date, optional) — Date when the customer tax exemption expires.
- `exemptIssuingJurisdiction` (string, optional) — Jurisdiction in which the customer tax exemption certificate was issued.
- `exemptStatus` (string, optional) — Status of the account tax exemption.

### GETAccountSummaryUsageType

- `quantity` (string, optional) — Number of units used.
- `startDate` (date, optional) — The start date of a usage period as `yyyy-mm`. Zuora uses this field value to determine the usage date.
- `unitOfMeasure` (string, optional) — Unit by which consumption is measured, as configured in the Billing Settings section of the web-based UI.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### GetAccountSummaryTypeBasicInfoDefaultPaymentMethod

Information of the default payment method for the account.

- `creditCardExpirationMonth` (string, optional) — Two-digit numeric card expiration month as `mm`.
- `creditCardExpirationYear` (string, optional) — Four-digit card expiration year as `yyyy`.
- `creditCardNumber` (string, optional) — Credit card number, 16 characters or less, displayed in masked format (e.g., ************1234).
- `creditCardType` (string, optional) — The type of the credit card. Possible values include `Visa`, `MasterCard`, `AmericanExpress`, `Discover`, `JCB`, and `Diners`. For more information about credit card types supported by different payment gateways, see [Supported Payment Methods](https://knowledgecenter.zuora.com/Zuora_Central/Billing_and_Payments/L_Payment_Methods/Supported_Payment_Methods).
- `id` (string, optional) — ID of the default payment method associated with this account.
- `paymentMethodType` (enum, optional) — Type of the payment method. For non-Credit-Card payment methods, only the `id` and `paymentMethodType` fields are returned.
  - Allowed values: `CreditCard`, `CreditCardReferenceTransaction`, `ACH`, `BankTransfer`, `PayPal`, `AdyenApplePay`, `AdyenGooglePay`, `GooglePay`

### GETAccountSummaryPaymentInvoiceType

- `appliedPaymentAmount` (string, optional) — Amount of payment applied to the invoice.
- `invoiceId` (string, optional) — Invoice ID.
- `invoiceNumber` (string, optional) — Invoice number.

### GETAccountSummarySubscriptionRatePlanType

- `productId` (string, optional) — Product ID.
- `productName` (string, optional) — Product name.
- `productRatePlanId` (string, optional) — Product Rate Plan ID.
- `productSku` (string, optional)
- `ratePlanName` (string, optional) — Rate plan name.

## Examples

**Response**

```json
{
  "basicInfo": {
    "accountNumber": "A00001115",
    "additionalEmailAddresses": [
      "contact1@example.com",
      "contact2@example.com"
    ],
    "autoPay": true,
    "balance": "0",
    "billCycleDay": "1",
    "currency": "USD",
    "defaultPaymentMethod": {
      "creditCardExpirationMonth": "10",
      "creditCardExpirationYear": "2020",
      "creditCardNumber": "************1111",
      "creditCardType": "Visa",
      "id": "2c92c8f83dabf9cf013daef12dd303b0",
      "paymentMethodType": "CreditCard"
    },
    "id": "2c92a0f9391832b10139183e277a0042",
    "invoiceDeliveryPrefsEmail": true,
    "invoiceDeliveryPrefsPrint": false,
    "lastInvoiceDate": "2013-02-11",
    "lastPaymentAmount": "150248.1",
    "lastPaymentDate": "2013-03-27",
    "name": "subscribeCallYan_1",
    "partnerAccount": false,
    "paymentMethodCascadingConsent": false,
    "status": "Active"
  },
  "billToContact": {
    "address1": "1400 Bridge Pkwy",
    "address2": "",
    "city": "San Jose",
    "country": "United States",
    "county": "",
    "fax": "",
    "firstName": "Cheng",
    "id": "2c92a0f9391832b10139183e27940043",
    "lastName": "Zou",
    "state": "California",
    "taxRegion": "",
    "workEmail": "contact@example.com",
    "workPhone": "5555551212",
    "zipCode": "95135"
  },
  "invoices": [
    {
      "amount": 139722.1,
      "balance": "0",
      "dueDate": "2013-02-11",
      "id": "2c92a0953a3fa95d013a407c10a60100",
      "invoiceDate": "2013-02-11",
      "invoiceNumber": "INV00000323",
      "status": "Posted"
    },
    {
      "amount": 10521,
      "balance": "0",
      "dueDate": "2012-08-11",
      "id": "2c92a09739190dc60139194bcf1b0098",
      "invoiceDate": "2012-08-11",
      "invoiceNumber": "INV00000160",
      "status": "Posted"
    },
    {
      "amount": 10,
      "balance": "0",
      "dueDate": "2012-08-11",
      "id": "2c92a09539190dbe0139190f42780012",
      "invoiceDate": "2012-08-11",
      "invoiceNumber": "INV00000159",
      "status": "Posted"
    }
  ],
  "payments": [
    {
      "effectiveDate": "2013-03-27",
      "id": "2c92c8f83dabf9cf013daf3bfa0305a6",
      "paidInvoices": [
        {
          "appliedPaymentAmount": "5",
          "invoiceId": "2c92a09539190dbe0139190f42780012",
          "invoiceNumber": "INV00000159"
        },
        {
          "appliedPaymentAmount": "139722.1",
          "invoiceId": "2c92a0953a3fa95d013a407c10a60100",
          "invoiceNumber": "INV00000323"
        },
        {
          "appliedPaymentAmount": "10521",
          "invoiceId": "2c92a09739190dc60139194bcf1b0098",
          "invoiceNumber": "INV00000160"
        }
      ],
      "paymentNumber": "P-00000075",
      "paymentType": "Electronic",
      "status": "Processed"
    },
    {
      "effectiveDate": "2012-08-11",
      "id": "2c92a0f9391832b101391922ad5f049d",
      "paidInvoices": [
        {
          "appliedPaymentAmount": "5",
          "invoiceId": "2c92a09539190dbe0139190f42780012",
          "invoiceNumber": "INV00000159"
        }
      ],
      "paymentNumber": "P-00000056",
      "paymentType": "Electronic",
      "status": "Processed"
    }
  ],
  "soldToContact": {
    "address1": "278 Bridgeton Circle",
    "address2": "",
    "city": "San Jose",
    "country": "United States",
    "county": "",
    "fax": "",
    "firstName": "Bill",
    "id": "2c92a0f9391832b10139183e27940043",
    "lastName": "Cho",
    "state": "California",
    "taxRegion": "",
    "workEmail": "contact@example.com",
    "workPhone": "5555551212",
    "zipCode": "95135"
  },
  "subscriptions": [
    {
      "autoRenew": true,
      "id": "2c92c8f83dc4f752013dc72c24ee016d",
      "initialTerm": "12",
      "ratePlans": [
        {
          "productName": "Recurring Charge",
          "ratePlanName": "QSF_Tier"
        }
      ],
      "renewalTerm": "3",
      "status": "Active",
      "subscriptionNumber": "A-S00001081",
      "subscriptionStartDate": "2013-02-01",
      "termEndDate": "2014-02-01",
      "termStartDate": "2013-02-01",
      "termType": "TERMED"
    },
    {
      "autoRenew": true,
      "id": "2c92c8f83dc4f752013dc72bb85c0127",
      "initialTerm": "12",
      "ratePlans": [
        {
          "productName": "Recurring Charge",
          "ratePlanName": "QSF_Tier"
        }
      ],
      "renewalTerm": "3",
      "status": "Active",
      "subscriptionNumber": "A-S00001080",
      "subscriptionStartDate": "2013-02-01",
      "termEndDate": "2014-02-01",
      "termStartDate": "2013-02-01",
      "termType": "TERMED"
    },
    {
      "autoRenew": false,
      "id": "2c92c8f83dc4f752013dc723fdab00d4",
      "initialTerm": "10",
      "ratePlans": [
        {
          "productName": "Recurring Charge",
          "ratePlanName": "QSF_Tier"
        }
      ],
      "renewalTerm": "4",
      "status": "Cancelled",
      "subscriptionNumber": "A-S00001079",
      "subscriptionStartDate": "2013-02-01",
      "termEndDate": "2014-04-01",
      "termStartDate": "2013-12-01",
      "termType": "TERMED"
    },
    {
      "autoRenew": false,
      "id": "2c92c8f83db0b4b4013db4717ad000ec",
      "initialTerm": "12",
      "ratePlans": [
        {
          "productName": "Recurring Charge",
          "ratePlanName": "Month_PerUnit"
        },
        {
          "productName": "Recurring Charge",
          "ratePlanName": "Month_PerUnit"
        }
      ],
      "renewalTerm": "3",
      "status": "Active",
      "subscriptionNumber": "A-S00001076",
      "subscriptionStartDate": "2011-02-11",
      "termEndDate": "2012-02-11",
      "termStartDate": "2011-02-11",
      "termType": "TERMED"
    },
    {
      "autoRenew": false,
      "id": "2c92c8f83db0b4b4013db3ab6a4d00bc",
      "initialTerm": "12",
      "ratePlans": [
        {
          "productName": "Recurring Charge",
          "ratePlanName": "Month_PerUnit"
        },
        {
          "productName": "Recurring Charge",
          "ratePlanName": "Month_PerUnit"
        }
      ],
      "renewalTerm": "3",
      "status": "Active",
      "subscriptionNumber": "A-S00001075",
      "subscriptionStartDate": "2011-02-11",
      "termEndDate": "2012-02-11",
      "termStartDate": "2011-02-11",
      "termType": "TERMED"
    },
    {
      "autoRenew": false,
      "id": "2c92c8f83db0b4b4013db3aa9fbd0090",
      "initialTerm": "12",
      "ratePlans": [
        {
          "productName": "Recurring Charge",
          "ratePlanName": "Month_PerUnit"
        }
      ],
      "renewalTerm": "3",
      "status": "Active",
      "subscriptionNumber": "A-S00001074",
      "subscriptionStartDate": "2011-02-11",
      "termEndDate": "2012-02-11",
      "termStartDate": "2011-02-11",
      "termType": "TERMED"
    }
  ],
  "success": true,
  "usage": [
    {
      "quantity": "10",
      "startDate": "2012-02-01",
      "unitOfMeasure": "UOM"
    },
    {
      "quantity": "10",
      "startDate": "2012-01-01",
      "unitOfMeasure": "UOM"
    }
  ]
}
```

**SDK Code**

```python response
import requests

url = "https://rest.test.zuora.com/v1/accounts/account-key/summary"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript response
const url = 'https://rest.test.zuora.com/v1/accounts/account-key/summary';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://rest.test.zuora.com/v1/accounts/account-key/summary"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby response
require 'uri'
require 'net/http'

url = URI("https://rest.test.zuora.com/v1/accounts/account-key/summary")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://rest.test.zuora.com/v1/accounts/account-key/summary")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://rest.test.zuora.com/v1/accounts/account-key/summary', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp response
using RestSharp;

var client = new RestClient("https://rest.test.zuora.com/v1/accounts/account-key/summary");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift response
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://rest.test.zuora.com/v1/accounts/account-key/summary")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```